apiVersion: v1
stringData:
  alertmanager.yaml: |
    global:
      slack_api_url: 'https://hooks.slack.com/services/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'
      resolve_timeout: 5m

    route:
      group_by: ['...']
      receiver: 'slack-notifications'

    receivers:
    - name: 'slack-notifications'
      slack_configs:
      - channel: '#teleop-alerts'
        text: "summary: {{ .CommonAnnotations.summary }}\ndescription: {{ .CommonAnnotations.description }}"
kind: Secret
metadata:
  labels:
    app: teleops-prometheus
    app.kubernetes.io/instance: teleops-prometheus
  name: alertmanager-teleops-alertmanager
  namespace: teleops-prometheus
type: Opaque
